# Get Approval Rules

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1`**`/approval-rules`**

Retrieve a list of the approval rules you have created in your account.

{% hint style="info" %}
sFOX SAFE Custody is available all sFOX users. However, access is not granted by default. [Learn more and request access here](https://www.sfox.com/digital-asset-custody/).
{% endhint %}

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{
    "data": [
      {
        "id": 3,
        "available_approver_count": 2,
        "date_added": "2021-03-17T16:19:47.000Z",
        "required_approvals": 2,
        "rule_type": "WITHDRAW",
        "status": "Pending Approval",
        "threshold": 20
      }
    ]
}
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```bash
curl -H 'Authorization: Bearer <API_TOKEN>' \
'https://api.sfox.com/v1/approval-rules'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/approval-rules',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/approval-rules",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)
```

{% endtab %}
{% endtabs %}
